Subject: [PATCH 4/9] ARM: pmu: remove arm_pmu_type enumeration

From: [email-masked] (Jon Hunter)
Date: Thu, 16 Aug 2012 08:59:47 -0500

On 08/10/2012 12:36 PM, Will Deacon wrote:
> From: Sudeep KarkadaNagesha <[email-masked]>
> 
> The arm_pmu_type enumeration was initially introduced to identify
> different PMU types in the system, the usual one being that on the CPU
> (ARM_PMU_DEVICE_CPU). With the removal of the PMU reservation code and
> the introduction of devicetree bindings for the CPU PMU, the enumeration
> is no longer required.
> 
> This patch removes the enumeration and updates the various CPU PMU
> platform devices so that they no longer pass an .id field referring
> to identify the PMU type.

Acked-by: Jon Hunter <[email-masked]>

Cheers
Jon